#pragma once
#include "explorer.h"
#include "..\Common\SysUtils.h"


//---------------------------------------------------------------------------
//
// Prototype of the main hook function
//
//---------------------------------------------------------------------------

typedef BOOL (WINAPI *PFN_InstallHook)(HWND hWndServer,	UINT nOSVersionType);
typedef BOOL (WINAPI *PFN_UnInstallHook)();

typedef void (WINAPI *PFN_SetHookOption)(int nWaitTime, BOOL bTraceEnabled, BOOL bSendDebugText);
typedef void (WINAPI *PFN_GetHookOption)(int &nWaitTime, BOOL &bTraceEnabled, BOOL &bSendDebugText);
typedef char* (WINAPI *PFN_GetResultString)();
typedef void (WINAPI *PFN_GetIniFilePath)(char *szIniFile);
typedef void (WINAPI *PFN_SetEnabledRestart)(BOOL bEnabled);


// CWebBrowser ȭ Դϴ.

class CWebBrowser : public CDialog
{
	DECLARE_DYNAMIC(CWebBrowser)

public:
	BOOL			m_bStartHook;
	UINT			m_nOSVersionType;

	HMODULE					m_hmodHookTool;
	PFN_InstallHook			m_pfnInstallHook;
	PFN_UnInstallHook		m_pfnUnInstallHook;
	PFN_SetHookOption		m_pfnSetHookOption;
	PFN_GetHookOption		m_pfnGetHookOption;
	PFN_GetResultString		m_pfnGetResultString;
	PFN_GetIniFilePath		m_pfnGetIniFilePath;
	PFN_SetEnabledRestart	m_pfnSetEnabledRestart;

	bool StartUp();
	bool HookStart();
	void HookDelete();

	CWebBrowser(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CWebBrowser();

// ȭ  Դϴ.
	enum { IDD = IDD_WEBDIC };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()
public:
	CExplorer m_WndBrowser;
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnBnClickedOk();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnDestroy();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
};
